List health for a project
GET
/v1/projects/{projectId}/healthcurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/health' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
响应
Success
- dataobject必填
- projectIdstring必填
- statusstring必填可选值unknownblockedreadyneeds_review
- openRepairTaskCountnumber必填
- openBlockingTaskCountnumber必填
- unassignedOpenTaskCountnumber必填
- overdueOpenTaskCountnumber必填
- waivedTaskCountnumber必填
- waiverReviewCountnumber必填
- unhealthyVersionCountnumber必填
- latestUnhealthyVersionsarray<ProjectHealthVersionSummaryDto>必填
- latestOpenBlockersarray<ProjectHealthOpenBlockerDto>必填
- recommendedNextActionstring必填
- computedAtstring必填
- rollupVersionLimitnumber必填
- sampledVersionCountnumber必填
- totalActiveVersionCountnumber必填
- rollupLimitedone of必填
响应示例
{
"data": {
"projectId": "string",
"status": "unknown",
"openRepairTaskCount": 0,
"openBlockingTaskCount": 0,
"unassignedOpenTaskCount": 0,
"overdueOpenTaskCount": 0,
"waivedTaskCount": 0,
"waiverReviewCount": 0,
"unhealthyVersionCount": 0,
"latestUnhealthyVersions": [
{
"datasetVersionId": "string",
"datasetId": "string",
"datasetName": "string",
"version": 0,
"status": "unknown",
"primaryBlocker": "string"
}
],
"latestOpenBlockers": [
{
"repairTaskId": "string",
"title": "string",
"severity": "warning",
"status": "in_progress",
"datasetId": "string",
"datasetVersionId": "string",
"dueAt": "string"
}
],
"recommendedNextAction": "string",
"computedAt": "string",
"rollupVersionLimit": 0,
"sampledVersionCount": 0,
"totalActiveVersionCount": 0,
"rollupLimited": false
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1